Last Comment Bug 793265 - Visual glitch on the left and right side of the Thunderbird tab bar on Aero
: Visual glitch on the left and right side of the Thunderbird tab bar on Aero
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: unspecified
: x86_64 Windows 7
: -- normal (vote)
: Thunderbird 18.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on: 878502
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 11:51 PDT by Benjamin Smedberg [:bsmedberg]
Modified: 2013-06-01 15:50 PDT (History)
6 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
screenshot: Edge of tab bar with aero, TB 15.0.1 (13.05 KB, image/png)
2012-09-21 11:51 PDT, Benjamin Smedberg [:bsmedberg]
no flags Details
patch (4.65 KB, patch)
2012-09-22 06:52 PDT, Richard Marti (:Paenglab)
bugs: review+
bugs: ui‑review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Benjamin Smedberg [:bsmedberg] 2012-09-21 11:51:20 PDT
Created attachment 663498 [details]
screenshot: Edge of tab bar with aero, TB 15.0.1

Using Thunderbird 15.0.1 on Win7 with Aero: the tab bar has a vertical gradient that shades the aero glass; this extends all the way to the left and right edge of the window. This means that the edge of the window doesn't blend in with the glass border of the window. I think that the left and right edge should have a radial gradient edge which extends full glass to the corner.
Comment 1 Richard Marti (:Paenglab) 2012-09-22 06:52:30 PDT
Created attachment 663695 [details] [diff] [review]
patch

I tried with radial-gradient but this doesn't fit well with the linear-gradient. Changed to a background image. On maximized window the gradient goes from end to end.
Comment 2 Andreas Nilsson (:andreasn) 2012-09-24 09:11:54 PDT
Comment on attachment 663695 [details] [diff] [review]
patch

Code and UI looks good!
Comment 3 Ryan VanderMeulen [:RyanVM] 2012-09-24 15:18:18 PDT
https://hg.mozilla.org/comm-central/rev/dd7842775a4a
Comment 4 Mike Conley (:mconley) - (Needinfo me!) 2012-09-25 06:44:37 PDT
Comment on attachment 663695 [details] [diff] [review]
patch

This is some polish we might want to consider for TB 17.
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-10-02 15:52:13 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/55990beec87f

Note You need to log in before you can comment on or make changes to this bug.